# Generated by Django 3.2.16 on 2023-07-11 15:12

from django.db import migrations, models
import django.db.models.deletion
import django_jsonform.models.fields


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0027_auto_20230525_1030'),
    ]

    operations = [
        migrations.AlterField(
            model_name='registrationevent',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley-cloud', 'halley-cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre'), ('insiel', 'insiel'), ('infor', 'infor'), ('d3', 'd3'), ('hypersic', 'hypersic')], max_length=32, verbose_name='provider'),
        ),
        migrations.AlterField(
            model_name='service',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley-cloud', 'halley-cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre'), ('insiel', 'insiel'), ('infor', 'infor'), ('d3', 'd3'), ('hypersic', 'hypersic')], max_length=32, verbose_name='provider'),
        ),
        migrations.CreateModel(
            name='HypersicConfig',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('is_active', models.BooleanField(verbose_name='active')),
                ('username', models.CharField(max_length=64, verbose_name='Username')),
                ('password', models.CharField(max_length=64, verbose_name='Password')),
                ('registry_url', models.URLField(verbose_name='Protocol Web service URL')),
                ('office_ids', django_jsonform.models.fields.ArrayField(base_field=models.PositiveIntegerField(), default=list, help_text='The list of office ids is provided to the institution by the protocol manager', size=None, verbose_name='Office ids')),
                ('classification', models.CharField(max_length=16, null=True, verbose_name='Classification')),
                ('folder_number', models.CharField(max_length=16, null=True, verbose_name='Folder number')),
                ('folder_year', models.CharField(max_length=16, null=True, verbose_name='Folder year')),
                ('annotation', models.CharField(max_length=128, null=True, verbose_name='Registration annotation')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='hypersic_configs', to='applications.service', verbose_name='service')),
            ],
        ),
        migrations.AddConstraint(
            model_name='hypersicconfig',
            constraint=models.UniqueConstraint(condition=models.Q(('is_active', True)), fields=('service', 'is_active'), name='applications_hypersicconfig_unique_service_is_active_true'),
        ),
    ]
